package pricing

import (
	"time"

	"cloud.o-forge.io/core/oc-lib/tools"
)

type PricedItemITF interface {
	GetID() string
	GetType() tools.DataType
	IsBuying(request *tools.APIRequest) bool
	GetCreatorID() string
	GetLocationStart() *time.Time
	GetLocationEnd() *time.Time
	GetPrice(request *tools.APIRequest) (float64, error)
}
